# niri scripts

This repository contains scripts and Waybar modules for Niri.

## picker

A simple window picker script. Use a `dmenu` compliant picker (`fuzzel` by
default) to pick a window and switch focus to it.

## recorder

A script and Waybar module to simplify the process of making and sharing screen
recordings. Features:

- Select a screen or region for recording.
- Automatically compress and copy recording URI to clipboard for easy pasting
  into applications like Discord.
- Cleans up old recordings.
- Waybar module allows starting/stopping recording, displays recording status.

Check the [README](./recorder/README.md) for usage instructions.

## windows

A Waybar module that provides an indicator of open windows in the focused
workspace. Helpful for those that take Niri's scrolling a tad too far, and often
end up with too many windows in a single workspace.

Check the [README](./windows/README.md) for usage instructions.
